[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# LoadGlyphFromResource

Loads the image for the specified button glyph from the LCL glyph resource.

## Declaration

Source position: buttons.pp line 526

`procedure LoadGlyphFromResource(`
`AGlyph: TButtonGlyph;`
`idButton: Integer`
`);`

## Arguments

`AGlyph` |  | TButtonGlyph instance where the glyph image is stored.
`idButton` |  | Button identifier for the image resource loaded in the routine.

## Description

LoadGlyphFromResource is a routine used to load the LCL glyph image for the specified button identifier into the specified button glyph.

AGlyph is the TButtonGlyph instance where the glyph image is stored in the routine.

idButton contains one of the button identifier constants defined in the lcltype.pp unit, such as: idButtonOk, idButtonCancel, et. al. idButton must be in the range allowed for the TButtonImage type; no actions are performed in the routine if idButton is not within the required range.

LoadGlyphFromResource assigns the resource name in BitBtnResNames for the specified button identifier to the LCLGlyphName property in AGlyph. This causes the image with that name to be loaded from the LCLGlyphs image list.